## org.apache.maven.shared.repository
Class DefaultRepositoryAssembler

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.apache.maven.shared.repository.DefaultRepositoryAssembler

All Implemented Interfaces:
  RepositoryAssembler, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultRepositoryAssembler

extends org.codehaus.plexus.logging.AbstractLogEnabled
implements RepositoryAssembler, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Author:
  Jason van Zyl

Field Summary
`protected org.apache.maven.artifact.factory.ArtifactFactory` `artifactFactory`
`protected org.apache.maven.artifact.repository.ArtifactRepositoryFactory` `artifactRepositoryFactory`
`protected org.apache.maven.artifact.resolver.ArtifactResolver` `artifactResolver`
`protected org.apache.maven.artifact.metadata.ArtifactMetadataSource` `metadataSource`
`protected org.apache.maven.project.MavenProjectBuilder` `projectBuilder`
`protected org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout` `repositoryLayout`
`protected static java.util.TimeZone` `UTC_TIME_ZONE`
`protected static java.lang.String` `UTC_TIMESTAMP_PATTERN`

Fields inherited from interface org.apache.maven.shared.repository.RepositoryAssembler
`ROLE`

Constructor Summary
`DefaultRepositoryAssembler()`

`DefaultRepositoryAssembler(org.apache.maven.artifact.factory.ArtifactFactory artifactFactory, org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver, org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout, org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory, org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource, org.apache.maven.project.MavenProjectBuilder projectBuilder)`

Method Summary
`void` `buildRemoteRepository(java.io.File repositoryDirectory, RepositoryInfo repository, RepositoryBuilderConfigSource configSource)`
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`protected java.util.Map` `createGroupVersionAlignments(java.util.List versionAlignments)`
`protected org.apache.maven.artifact.repository.ArtifactRepository` `createLocalRepository(java.io.File directory)`
`org.apache.maven.artifact.repository.ArtifactRepository` `createRepository(java.lang.String repositoryId, java.lang.String repositoryUrl, boolean offline, boolean updateSnapshots, java.lang.String globalChecksumPolicy)`
`protected static java.text.DateFormat` `getUtcDateFormatter()`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UTC_TIME_ZONE

    protected static final java.util.TimeZone UTC_TIME_ZONE

### UTC_TIMESTAMP_PATTERN

    protected static final java.lang.String UTC_TIMESTAMP_PATTERN

See Also:
  Constant Field Values

### artifactFactory

    protected org.apache.maven.artifact.factory.ArtifactFactory artifactFactory

### artifactResolver

    protected org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver

### repositoryLayout

    protected org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout

### artifactRepositoryFactory

    protected org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory

### metadataSource

    protected org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource

### projectBuilder

    protected org.apache.maven.project.MavenProjectBuilder projectBuilder

Constructor Detail

### DefaultRepositoryAssembler

    public DefaultRepositoryAssembler()

### DefaultRepositoryAssembler

    public DefaultRepositoryAssembler(org.apache.maven.artifact.factory.ArtifactFactory artifactFactory,
                                      org.apache.maven.artifact.resolver.ArtifactResolver artifactResolver,
                                      org.apache.maven.artifact.repository.layout.ArtifactRepositoryLayout repositoryLayout,
                                      org.apache.maven.artifact.repository.ArtifactRepositoryFactory artifactRepositoryFactory,
                                      org.apache.maven.artifact.metadata.ArtifactMetadataSource metadataSource,
                                      org.apache.maven.project.MavenProjectBuilder projectBuilder)

Method Detail

### buildRemoteRepository

    public void buildRemoteRepository(java.io.File repositoryDirectory,
                                      RepositoryInfo repository,
                                      RepositoryBuilderConfigSource configSource)
                               throws RepositoryAssemblyException

  Specified by:
    `buildRemoteRepository` in interface `RepositoryAssembler`
  Throws:
    `RepositoryAssemblyException`

### createGroupVersionAlignments

    protected java.util.Map createGroupVersionAlignments(java.util.List versionAlignments)

### getUtcDateFormatter

    protected static java.text.DateFormat getUtcDateFormatter()

### createLocalRepository

    protected org.apache.maven.artifact.repository.ArtifactRepository createLocalRepository(java.io.File directory)

### createRepository

    public org.apache.maven.artifact.repository.ArtifactRepository createRepository(java.lang.String repositoryId,
                                                                                    java.lang.String repositoryUrl,
                                                                                    boolean offline,
                                                                                    boolean updateSnapshots,
                                                                                    java.lang.String globalChecksumPolicy)

### contextualize

    public void contextualize(org.codehaus.plexus.context.Context context)
                       throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

Copyright © 2011. All Rights Reserved.